from parallels.core.utils.entity import Entity


class Forwarding(Entity):
    def __init__(
        self, domain_id, redirect, http_code
    ):
        self._domain_id = domain_id
        self._redirect = redirect
        self._http_code = http_code

    @property
    def domain_id(self):
        """
        :rtype: str | unicode
        """
        return self._domain_id

    @property
    def redirect(self):
        """
        :rtype: str | unicode
        """
        return self._redirect

    @property
    def http_code(self):
        """
        :rtype: str | unicode
        """
        return self._http_code
